package com.example.demo;

import java.net.MalformedURLException;
import java.net.URL;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;
import org.openqa.selenium.remote.DesiredCapabilities;
import org.openqa.selenium.remote.RemoteWebDriver;

public class DemoApplication {

	public static void main(String[] args) throws MalformedURLException {
		launchBrowserInNormalMode();
	}

	private static void launchBrowserInNormalMode() throws MalformedURLException {
		// In this mode we would be connecting to remote web driver(similar to selenium
		// grid) meaning the script would be executed in the remote server.
		// Below is the sample code to initialize the web driver.
		String remoteDriverHost = "https://pgtest.altimetrik.com/project7333";
		// To see live execution of the script in browser please open the link
		// `{remoteDriverHost}/grid/admin/live`
		DesiredCapabilities dc = DesiredCapabilities.chrome();
		RemoteWebDriver driver = new RemoteWebDriver(new URL(remoteDriverHost + "/wd/hub"), dc);
		dc.setCapability("name", "BrowserMode");
		// Continue with test case scripting.
		driver.navigate().to("https://www.google.com/");
		System.out.println("Application title is " + driver.getTitle());
		driver.quit();
	}

}